import 'dart:convert';

///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class PlantSeedHistory {
/*
{
  "id": 26,
  "userUuid": "897e3197-8546-4727-bd3f-85df309a4f1d",
  "goalsId": 1,
  "steps": [
    1
  ],
  "step1": "{\"STEP_1_1\": \"Chao ban son\"}",
  "step2": "{\"STEP_2_1\": \"ban rat tot\", \"STEP_2_2\": \"\", \"STEP_2_3\": \"nhung toi rat tiec\"}",
  "step3": "{\"STEP_3_1\": \"da nhap buoc 3\", \"STEP_3_2\": \"\", \"STEP_3_3\": \"\"}",
  "step4": "{\"STEP_4_1\": \"\"}",
  "completedDate": 1653536950964,
  "createdDate": 1653536951040
}
*/

  int? id;
  String? userUuid;
  int? goalsId;
  List<int>? steps;
  Map? step1;
  Map? step2;
  Map? step3;
  Map? step4;
  DateTime? completedDate;
  DateTime? createdDate;

  PlantSeedHistory({
    this.id,
    this.userUuid,
    this.goalsId,
    this.steps,
    this.step1,
    this.step2,
    this.step3,
    this.step4,
    this.completedDate,
    this.createdDate,
  });
  PlantSeedHistory.fromJson(Map<String, dynamic> data) {
    id = data['id']?.toInt();
    userUuid = data['userUuid']?.toString();
    goalsId = data['goalsId']?.toInt();
    if (data['steps'] != null) {
      final v = data['steps'];
      final arr0 = <int>[];
      v.forEach((v) {
        arr0.add(v.toInt());
      });
      steps = arr0;
    }
    step1 = (json.decode(data['step1']) as Map);
    step2 = (json.decode(data['step2']) as Map);
    step3 = (json.decode(data['step3']) as Map);
    step4 = (json.decode(data['step4']) as Map);
    if (data['completedDate'] != null)
      completedDate =
          DateTime.fromMillisecondsSinceEpoch(data['completedDate']?.toInt());
    if (data['createdDate'] != null)
      createdDate =
          DateTime.fromMillisecondsSinceEpoch(data['createdDate']?.toInt());
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['userUuid'] = userUuid;
    data['goalsId'] = goalsId;
    if (steps != null) {
      final v = steps;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v);
      });
      data['steps'] = arr0;
    }
    data['step1'] = step1;
    data['step2'] = step2;
    data['step3'] = step3;
    data['step4'] = step4;
    data['completedDate'] = completedDate;
    data['createdDate'] = createdDate;
    return data;
  }
}

class DetailPlanSeedData {
/*
{
  "fetchPlantSeedHistoryById": {
    "id": 26,
    "userUuid": "897e3197-8546-4727-bd3f-85df309a4f1d",
    "goalsId": 1,
    "steps": [
      1
    ],
    "step1": "{\"STEP_1_1\": \"Chao ban son\"}",
    "step2": "{\"STEP_2_1\": \"ban rat tot\", \"STEP_2_2\": \"\", \"STEP_2_3\": \"nhung toi rat tiec\"}",
    "step3": "{\"STEP_3_1\": \"da nhap buoc 3\", \"STEP_3_2\": \"\", \"STEP_3_3\": \"\"}",
    "step4": "{\"STEP_4_1\": \"\"}",
    "completedDate": 1653536950964,
    "createdDate": 1653536951040
  }
}
*/

  PlantSeedHistory? fetchPlantSeedHistoryById;

  DetailPlanSeedData({
    this.fetchPlantSeedHistoryById,
  });
  DetailPlanSeedData.fromJson(Map<String, dynamic> json) {
    fetchPlantSeedHistoryById = (json['fetchPlantSeedHistoryById'] != null) ? PlantSeedHistory.fromJson(json['fetchPlantSeedHistoryById']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchPlantSeedHistoryById != null) {
      data['fetchPlantSeedHistoryById'] = fetchPlantSeedHistoryById!.toJson();
    }
    return data;
  }
}

class DetailPlanSeedResponse {

  DetailPlanSeedData? data;

  DetailPlanSeedResponse({
    this.data,
  });
  DetailPlanSeedResponse.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? DetailPlanSeedData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}